/* mbed Microcontroller Library
 * Copyright (c) 2019 ARM Limited
 * SPDX-License-Identifier: Apache-2.0
 */

#include "mbed.h"
#include "platform/mbed_thread.h"
#include "C12832.h"

C12832 lcd(D11, D13, D12, D7, D10);

PwmOut r (D5);
PwmOut g (D8);
PwmOut b (D9);

AnalogIn pot1 (A0);
AnalogIn pot2 (A1);

int main()
{
    while (true) 
    {
        r = (float)pot1;
        b = (float)pot2;
        g = 0;
    }
}
